FUNCTION::BYTES_TO_S(3stap)

NAME
function::bytes_to_string - Human readable string for given bytes

SYNOPSIS

    bytes_to_string:string(bytes:long)

ARGUMENTS

bytes
    Number of bytes to translate.

DESCRIPTION

Returns a string representing the number of bytes (up to 1024 bytes), the number of kilobytes (when less than 1024K) postfixed by 'K', the number of megabytes (when less than 1024M) postfixed by 'M' or the number of gigabytes postfixed by 'G'. If representing K, M or G, and the number is amount is less than 100, it includes a '.' plus the remainer. The returned string will be 5 characters wide (padding with whitespace at the front) unless negative or representing more than 9999G bytes.

SEE ALSO
tapset::proc_mem(3stap)